# TODO
# - config to /etc
%define		ver	%(echo %{version} | tr . _)
Summary:	TCPDF - PHP class for PDF
Name:		php-tcpdf
Version:	6.0.043
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	http://downloads.sourceforge.net/tcpdf/tcpdf_%{ver}.zip
# Source0-md5:	a0f1b81da48f71e215a9aaa24c463155
URL:		http://www.tcpdf.org/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires(triggerpostun):	sed >= 4.0
Requires:	php(core) >= 5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/tcpdf

%description
Generic TCPDF screenshot TCPDF is a PHP class for generating PDF
documents without requiring external extensions. TCPDF Supports UTF-8,
Unicode, RTL languages and HTML.

%prep
%setup -q -n tcpdf

%{__sed} -i -e 's,\r$,,' *.TXT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_examplesdir}/%{name}-%{version}}

cp -a *.php config fonts include $RPM_BUILD_ROOT%{_appdir}

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf $RPM_BUILD_ROOT%{_appdir}/fonts/*-*
rm -rf $RPM_BUILD_ROOT%{_appdir}/fonts/utils

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.TXT README.TXT
%{_appdir}

%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Nov 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-tcpdf.git;a=log;h=master

* Tue Nov 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 17f1585
- up to 6.0.043

* Tue Jul 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 50b05bb
- no docdir needed

* Tue Jul 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1162636
- up to 6.0.020; doc was empty, so dropped

* Tue May 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f6c3dc8
- rel 2; add missing include dir

* Tue May 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ded62e1
- up to 6.0.014

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c0a0b18
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Sat Mar 17 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ac05e
- up to 5.9.150

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a13238b
- new url

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cb46ca6
- up to 5.9.144

* Sun May 16 2010 sparky <sparky@pld-linux.org> ec0c976
- BR: unzip

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 2be9618
- updated to 4.8.021

* Wed Oct 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 606dbd8
- up to 4.8.013

* Sat Apr 25 2009 Adam Gołębiowski <adamg@pld-linux.org> fcf3ed7
- updated to 4.6.003

* Sat Mar 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 844a8f0
- updated to 4.5.023

* Thu Feb 26 2009 Adam Gołębiowski <adamg@pld-linux.org> f2b4a2f
- updated to 4.5.016

* Fri Feb 13 2009 Adam Gołębiowski <adamg@pld-linux.org> af00551
- updated to 4.5.013

* Wed Feb 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a45d22
- drop binaries

* Wed Feb 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a07069c
- up to 4.5.010

* Fri Jan 23 2009 duddits <duddits@pld-linux.org> afdc387
- up to 4.5.005

* Wed Dec 31 2008 duddits <duddits@pld-linux.org> 32ddf09
- up to 4.4.009

